Name:		woob
Version:	3.7
Release:	%mkrel 3
Summary:	Web Outside Of Browsers: applications to interact with websites
Group:		Networking/Other
License:	GPLv3+ and LGPLv3+
URL:		https://woob.tech/
Source0:	https://gitlab.com/woob/woob/-/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		woob-relax-dependencies.patch
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3dist(babel)

Recommends:	gstreamer1.0-rtmp
Recommends:	python3dist(nose)
Recommends:	python3dist(pdfminer.six)
Recommends:	python3dist(simplejson)
Recommends:	yt-dlp

Obsoletes:	weboob < 2:2.0-5
Provides:	weboob = 2:%{version}-%{release}

%description
Woob is Web Outside Of Browsers.

Woob is a collection of applications able to interact with websites,
without requiring the user to open them in a browser. It also provides
well-defined APIs to talk to websites lacking one.

Why using Woob?
 * You get information faster;
 * You can script around woob to automate tasks;
 * It extends websites features;
 * It helps blind people use crappy websites;
 * Reuse your favorite applications.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name} weboob

mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 man/*.1 %{buildroot}%{_mandir}/man1

%files -f %{pyproject_files}
%doc AUTHORS ChangeLog README.rst
%license COPYING*
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Wed Mar 05 2025 daviddavid <daviddavid> 3.7-3.mga10
+ Revision: 2160976
- relax dependencies

* Mon Mar 03 2025 daviddavid <daviddavid> 3.7-2.mga10
+ Revision: 2159280
- rebuild for python 3.13

* Wed Jan 08 2025 daviddavid <daviddavid> 3.7-1.mga10
+ Revision: 2136170
- new version: 3.7

* Wed Dec 27 2023 daviddavid <daviddavid> 3.6-2.mga10
+ Revision: 2022040
- rebuild for py3.12

* Fri Sep 22 2023 daviddavid <daviddavid> 3.6-1.mga10
+ Revision: 1989361
- new version: 3.6
- switch to pyproject

* Wed Jan 11 2023 daviddavid <daviddavid> 3.1-1.mga9
+ Revision: 1932399
- new version: 3.1
- weboob was renamed upstream to woob

* Fri Mar 25 2022 umeabot <umeabot> 2:2.0-4.mga9
+ Revision: 1825606
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 2:2.0-3.mga9
+ Revision: 1774866
- rebuild for python 3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 2:2.0-2.mga9
+ Revision: 1705238
- rebuild for python 3.9

* Tue Mar 02 2021 daviddavid <daviddavid> 2:2.0-1.mga9
+ Revision: 1695757
- new version: 2.0
- qt5 stuff was removed upstream

* Thu Jul 23 2020 ovitters <ovitters> 2:1.5-4.mga8
+ Revision: 1608378
- rebuild for removing pythonegg buildrequires in srpm
- convert pythonegg(3) into python3dist()

* Sun Feb 16 2020 umeabot <umeabot> 2:1.5-3.mga8
+ Revision: 1531751
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 2:1.5-2.mga8
+ Revision: 1440808
- rebuild for python3.8

* Thu Mar 14 2019 daviddavid <daviddavid> 2:1.5-1.mga7
+ Revision: 1376110
- new version: 1.5
- license change of the core from AGPLv3 to LGPLv3

* Sun Feb 10 2019 daviddavid <daviddavid> 2:1.4-1.mga7
+ Revision: 1364947
- new version: 1.4
- port to Python3
- update Source URL

* Wed Nov 28 2018 daviddavid <daviddavid> 2:1.3-4.mga7
+ Revision: 1336488
- fix dependencies

* Fri Sep 21 2018 umeabot <umeabot> 2:1.3-3.mga7
+ Revision: 1292004
- Mageia 7 Mass Rebuild

* Fri Jan 05 2018 blino <blino> 2:1.3-2.mga7
+ Revision: 1190435
- require python-unidecode since it is used by many modules, and not auto-required because modules are not in the package anymore
- improve description and summary

* Fri Jan 05 2018 blino <blino> 2:1.3-1.mga7
+ Revision: 1190396
- recommend youtube-dl (used by youtube module in 1.3)
- 1.3
- recommend qt5 packages instead of requiring them (not strictly required for basic weboob caps)
- recommend gstreamer1.0-rtmp instead of requiring it (not strictly required for basic weboob caps)
- require gstreamer1.0-rtmp instead of 0.10 (qtmultimedia5 switched to GStreamer 1.0 2 years ago)

* Sat Jan 28 2017 daviddavid <daviddavid> 2:1.2-3.mga6
+ Revision: 1083829
- let's use fixed python macros with one or more arguments

* Fri Jan 13 2017 daviddavid <daviddavid> 2:1.2-2.mga6
+ Revision: 1081542
- fix some python-qt5 dependencies (multimedia,multimediawidgets,network,widgets)
- recommends python-simplejson

* Fri Jan 13 2017 zezinho <zezinho> 2:1.2-1.mga6
+ Revision: 1081261
- new modules path
- migrate from Qt4 to Qt5
- new version 1.2 - add recommend for pdfminer as it is needed by the bp bank backend

* Mon Jun 27 2016 akien <akien> 2:1.1-3.mga6
+ Revision: 1037821
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 2:1.1-2.mga6
+ Revision: 1037520
- Rebuild for python-sip 4.18

* Thu Feb 18 2016 daviddavid <daviddavid> 2:1.1-1.mga6
+ Revision: 966656
- new version: 1.1
- use more new python macros

* Sat Dec 12 2015 daviddavid <daviddavid> 2:1.0-3.mga6
+ Revision: 909645
- enable module masstransit with --hildon setup option

* Sat Nov 21 2015 daviddavid <daviddavid> 2:1.0-2.mga6
+ Revision: 904768
- enable properly the Qt4 graphical application (fix mga#17193)
- remove all unneeded Requires/Recommends as they are already auto-required
- move Epoch below the point it's used in .spec
- use new python macros

* Sun Nov 09 2014 ofaurax <ofaurax> 2:1.0-1.mga6
+ Revision: 796155
- Never donwgrade an epoch!
- Update to weboob 1.0

* Wed Oct 15 2014 umeabot <umeabot> 2:0.i.1-5.mga5
+ Revision: 741830
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 zezinho <zezinho> 2:0.i.1-4.mga5
+ Revision: 737035
- add weboob-config runtime requires

* Sat Sep 27 2014 tv <tv> 2:0.i.1-3.mga5
+ Revision: 730728
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2:0.i.1-2.mga5
+ Revision: 690288
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Jul 28 2014 wally <wally> 2:0.i.1-1.mga5
+ Revision: 657752
- new version 0.i.1
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2:0.g-3.mga4
+ Revision: 544597
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2:0.g-2.mga4
+ Revision: 499993
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 ofaurax <ofaurax> 2:0.g-1.mga4
+ Revision: 463617
- Removed patch integrated in last version
- New version 0.g

* Sat Jul 13 2013 blino <blino> 2:0.f-2.mga4
+ Revision: 453883
- add upstream patch to use Pillow instead of PIL (which is obsolete)

* Tue May 28 2013 dams <dams> 2:0.f-1.mga4
+ Revision: 429028
- clean specfile
+ dglent <dglent>
- New version 0.f
- Add dependency python-feedparser

* Sat Feb 23 2013 blino <blino> 1:0.e-3.mga3
+ Revision: 400107
- suggest python-prettytable

* Mon Jan 28 2013 zezinho <zezinho> 1:0.e-2.mga3
+ Revision: 393059
- qvideoob needs gstreamer0.10-rtmp for arte module
- requires, not suggests
- add requires python-cssselect

* Mon Jan 14 2013 umeabot <umeabot> 1:0.c-2.mga3
+ Revision: 385671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 juancho <juancho> 1:0.c-1.mga3
+ Revision: 282145
- Added Epoch tag because new versioning of weboob changed and new one is treated as older than the current version on cauldron.
- Added missing BR, see bug #6632
+ dglent <dglent>
- New version 0.c
- Add source tarball 0.b
- New version 0.b

* Wed Dec 21 2011 ofaurax <ofaurax> 0.9.1-2.mga2
+ Revision: 185540
- add missing suggests

* Sun Dec 18 2011 ofaurax <ofaurax> 0.9.1-1.mga2
+ Revision: 183823
- New version 0.9.1 + suggests python-mechanize
- weboob 0.8.5 changed the license from GPLv3 to AGPLv3+

* Sat Oct 01 2011 ofaurax <ofaurax> 0.8.5-1.mga2
+ Revision: 150752
- new version 0.8.5

* Mon May 02 2011 ofaurax <ofaurax> 0.7-2.mga1
+ Revision: 94299
- silent: bump release
- Missing Requires #864

* Sun Apr 17 2011 ofaurax <ofaurax> 0.7-1.mga1
+ Revision: 86888
- imported package weboob

